﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{22538BE8-8975-4783-A8E5-D7F6508F6190}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <RootNamespace>Library</RootNamespace>
    <AssemblyName>Library</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <LangVersion>preview</LangVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Classes\Bulders\Item\BookBuilder.cs" />
    <Compile Include="Classes\Bulders\Item\GameBuilder.cs" />
    <Compile Include="Classes\Bulders\Item\JournalBuilder.cs" />
    <Compile Include="Classes\Bulders\Item\TakenItemBuilder.cs" />
    <Compile Include="Classes\Bulders\person\ClientBuilder.cs" />
    <Compile Include="Classes\Bulders\person\LibrarianBuilder.cs" />
    <Compile Include="Classes\Bulders\person\ManagerBuilder.cs" />
    <Compile Include="Classes\Bulders\person\PersonBuilder.cs" />
    <Compile Include="Classes\Bulders\person\SystemAdministratorBuilder.cs" />
    <Compile Include="Classes\Other\ItemDatabase.cs" />
    <Compile Include="Classes\Items\Book.cs" />
    <Compile Include="Classes\Other\Globals.cs" />
    <Compile Include="Classes\Items\Game.cs" />
    <Compile Include="Classes\Items\Journal.cs" />
    <Compile Include="Classes\Other\PersonDatabase.cs" />
    <Compile Include="Classes\Other\Program.cs" />
    <Compile Include="Classes\Items\TakenItem.cs" />
    <Compile Include="Classes\Other\RequestManager.cs" />
    <Compile Include="Classes\Persons\Client.cs" />
    <Compile Include="Classes\Persons\Librarian.cs" />
    <Compile Include="Classes\Persons\Manager.cs" />
    <Compile Include="Classes\Persons\Person.cs" />
    <Compile Include="Classes\Persons\SystemAdministrator.cs" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="System" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>